Loading...
Searching...
No Matches
su_addrinfo.h File Reference
Socket Functions

Network address and service translation. More...

`#include <sofia-sip/su_types.h>`
Include dependency graph for su_addrinfo.h:

Go to the source code of this file.

## Typedefs

typedef struct addrinfo | su_addrinfo_t
| RFC 1576 address info structure.

## Functions

int | su_getaddrinfo (char const *node, char const *service, su_addrinfo_t const *hints, su_addrinfo_t **res)
| Translate address and service.
void | su_freeaddrinfo (su_addrinfo_t *res)
| Free su_addrinfo_t structure allocated by su_getaddrinfo().
char const * | su_gai_strerror (int errcode)
| Return string describing address translation error.

## Detailed Description

Network address and service translation.

Author
  Pekka Pessi Pekka.nosp@m..Pes.nosp@m.si@no.nosp@m.kia..nosp@m.com

Date
  Created: Wed Nov 30 17:07:04 EET 2005 ppessi

## Function Documentation

## su_getaddrinfo()

int su_getaddrinfo | ( | char const * | node,
|  | char const * | service,
|  | su_addrinfo_t const * | hints,
|  | su_addrinfo_t ** | res )

Translate address and service.

This is a getaddrinfo() supporting SCTP and other exotic protocols.

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.